# std::getwchar

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cwchar>` |  |
wint_t getwchar(); |  |

Reads the next wide character from stdin.

### Parameters

(none)

### Return value

The obtained wide character or WEOF if an error has occurred or the end of file reached

### See also

getchar | reads a character from stdin (function)
fgetwcgetwc | gets a wide character from a file stream (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/c/getwchar&oldid=62367"